(function(window, undefined) {
    var CURRENT_DIR = './';

    var document = window.document;

    // src置換
    var replaceSrc = function () {
        var srcAttr = ['img', 'area', 'input'];
        var tagName, els, el;
        for (var i = 0, len = srcAttr.length; i < len; i++) {
            tagName = srcAttr[i];
            els = document.getElementsByTagName(tagName);
            for (var j = 0, maxEl = els.length; j < maxEl; j++) {
                el = els[j];
                if ('src' in el) {
                    el.src = el.src.replace('%currentDir%', CURRENT_DIR);
                }
            }
        }
    };

    // イベントの設定
    var setEvent = function () {
        replaceSrc();
    };

    // イベントの追加処理のラッパー
    var addEvent = function (element, type, handler, bubbling) {
        bubbling = bubbling || false;
        if (element.addEventListener) {
            element.addEventListener(type, handler, bubbling);
        }
        else if (element.attachEvent) {
            var IEhandler = function (ev) {
                ev = ev || window.event;
                ev.currentTarget = element;
                if (Function.prototype.call) {
                    handler.call(element, ev);
                }
                else{
                    element._currentHandler = handler(ev);
                    element._currentHandler = null;
                }
            };
            return element.attachEvent('on' + type, IEhandler);
        }
        else {
            element['on' + type] = handler;
        }
    };

    addEvent(window, 'load', setEvent);
})(window);
